Subject: [PATCH] ARM: pxa: fix build failure for regulator consumer in em-x270.c

From: [email-masked] (Paul Gortmaker)
Date: Wed, 28 Mar 2012 11:59:41 -0400

On 12-03-28 11:27 AM, Mark Brown wrote:
> On Wed, Mar 28, 2012 at 05:21:59PM +0200, Igor Grinberg wrote:
>> On 03/09/12 00:06, Paul Gortmaker wrote:
> 
>>> +REGULATOR_CONSUMER(ldo3, "reg-userspace-consumer", "vcc gps");
> 
>> If you make this:
>> REGULATOR_CONSUMER(ldo3, NULL, "vcc gps");
> 
>>> +REGULATOR_CONSUMER(ldo19, "reg-userspace-consumer", "vcc gprs");
>>
>> and this:
>> REGULATOR_CONSUMER(ldo19, NULL, "vcc gprs");
> 
> These don't look like good fixes, you should be specifying the
> dev_name() for the consumer device?  Presumably it's two separate
> consumers and should be .0 and .1 or something?

Here is what I meant when I said in my v2 comment that there was
naming overlap, and that I wasn't sure what impact that had.

The two consumers are:

static struct platform_device em_x270_gps_userspace_consumer = {
        .name           = "reg-userspace-consumer",
        .id             = 0,
        .dev            = {
                .platform_data = &em_x270_gps_consumer_data,
        },
};

and 

static struct platform_device em_x270_gprs_userspace_consumer = {
        .name           = "reg-userspace-consumer",
        .id             = 1,
        .dev            = {
                .platform_data = &em_x270_gprs_consumer_data,
        }
};

Note that the existing names currently don't incorporate the .id
field as a suffix, and so never were unique.

Paul.